SUBROUTINE check_stat(Kstat,Hmessage)
!
! ============================================================================
! This routine check if there is errors during Netcdf interfacing and in case 
! of error write the error message.
!
! Author  : Virginie Guemas
! Created : January 2007
! ============================================================================

      IMPLICIT NONE 

      INCLUDE'netcdf.inc'
      INTEGER,INTENT(IN)      :: Kstat
      CHARACTER*60,INTENT(IN) :: Hmessage 
!
! ============================================================================
!
      IF ( Kstat /= NF_NOERR ) THEN
        PRINT*,NF_STRERROR(Kstat)      
        PRINT*,'ERROR in Netcdf: '//TRIM(Hmessage)
        STOP
      END IF    
!
! ============================================================================
!
END SUBROUTINE check_stat
